<?php

declare(strict_types=1);

namespace Gls\GlsPoland\Soap\Wsdl\Loader;

use Gls\GlsPoland\Soap\Wsdl\Exception\UnloadableWsdlException;

/**
 * Loads the content of a WSDL location
 */
interface WsdlLoaderInterface
{
    /**
     * @throws UnloadableWsdlException
     */
    public function load(string $location): string;
}
